> For the complete documentation index, see [llms.txt](https://docs.finpay.id/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.finpay.id/api-reference/finpay-cashout/cashout-overview.md).

# Cashout Overview

Cashout banking services allow customers to withdraw cash directly from their accounts. This can be done through various channels, such as ATMs, bank tellers, or banking apps. This service provides customers with quick and secure access to their funds.

### Transaction Flow <a href="#transaction-flow" id="transaction-flow"></a>

![Finpay Cashout](https://hub.finpay.id/assets/images/finpay_cashout-4871e516e6cc6c88e6352cac1235026b.webp)

Explanation :

1. Request Cashout : send data for request Cashout
2. Response Cashout : response for Inquiry Request
3. Notification : send data for notification (Optional)
4. Reversal request : send data to request reversal
5. Reversal response : response for request reversal


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.finpay.id/api-reference/finpay-cashout/cashout-overview.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
